cURL
curl --request POST \ --url https://www.ruddr.io/api/workspace/opportunity-pipelines \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "description": "<string>", "isActive": true } '
{ "id": "e4a7c2d1-8f35-4b69-90d3-a1e2f6c09b75", "name": "Enterprise Sales", "description": "Pipeline for enterprise-level deals and partnerships.", "isActive": true, "createdAt": "2025-06-20T08:14:33.751Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The name of the opportunity pipeline. Max 255 characters.
The description of the opportunity pipeline. Max 5000 characters.
Whether the opportunity pipeline is active. Defaults to true if not provided.
true
200
The unique identifier for the object.
The name of the opportunity pipeline.
The description of the opportunity pipeline.
Whether the opportunity pipeline is active.
The timestamp when the object was created.